curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/vacancies/{external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/vacancies/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/vacancies/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"job_title": "Software engineer",
"job_description": "We are looking for a software engineer with great communication Skills in Ghent. Experience in front-end development, git, agile working is a plus.",
"last_updated": "2021-01-21T17:32:28Z",
"active": true,
"languages": [
{
"language": "nl",
"level": 2
}
],
"company": "b3903505-eb84-42dc-a79f-5e7b1fe897b7",
"location": {
"lat": 51.0216707,
"lng": 3.6887328
},
"custom_properties": [
{
"property_name": "creation_date",
"property_value": "2020-03-07"
},
{
"property_name": "language",
"property_value": "de"
}
]
}[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get Vacancy
Get the Vacancy information stored inside the system.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
custom_properties ["custom_properties"]
Response
OK
Default structure for Vacancy data.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Title of the Vacancy.
1 - 255"Software engineer"
Textual description of the Vacancy (job posting).
1"We are looking for a software engineer with great communication Skills in Ghent. Experience in front-end development, git, agile working is a plus."
Timestamp of the last update to this entity.
"2021-01-21T17:32:28Z"
The Vacancy will not be used in matching if active is false. This is useful when a Vacancy is being phased out.
true
Required languages associated with this Vacancy. List of ISO 639-1 language codes, combined with the proficiency level. The proficiency levels go from 1 (elementary proficiency) to 5 (native proficiency). If the level is omitted, the default proficiency level of 2 is used.
Show child attributes
Show child attributes
external_id from the External Company the Vacancy is linked to.
1[a-zA-Z0-9_-]+"b3903505-eb84-42dc-a79f-5e7b1fe897b7"
A geographic location, expressed in latitude and longitude. This can represent a home address, an office location... Each entity is limited to having a single location. To get the latitude and longitude for a given address, you can use the Google Maps Geocoding API or a predefined lookup table (for example by zip code). If location is present in matching or filters, it will act as an override for geo-distance calculations.
Show child attributes
Show child attributes
A list of properties for a given entity. Property values are either strings or numbers.
Show child attributes
Show child attributes
[
{
"property_name": "creation_date",
"property_value": "2020-03-07"
},
{
"property_name": "language",
"property_value": "de"
}
]
Was this page helpful?